using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FNZCM2.ProofOfConcept;

internal static class PocTickAsUUID
{
    public static void RunPoc()
    {
        var num = 1000 * 10000;
        var arr = new string[num];
        for (int i = 0; i < num; i++)
        {
            arr[i] = DateTime.Now.Ticks.ToString("x");
        }

        var inv = arr.GroupBy(p => p).Count();
        if (inv != num)
        {
            int bp = 0;
        }
        //SUCCESS
    }
}
